Package de.willuhn.jameica.hbci.accounts

# Class AccountService

java.lang.Object
de.willuhn.jameica.hbci.accounts.AccountService

@Lifecycle(CONTEXT) public class AccountService extends Object
Service fuer den Zugriff auf die existierenden Accounts und die Erstellung neuer Accounts. Dieser Service soll die direkte Verwendung der Passports abloesen, da sie an das HBCIBackend gebunden sind, wir aber einen Assistenten zum Anlegen neuer Bankzugaenge haben wollen, die unabhaengig vom Backend sind.

## Constructor Summary

Constructors
Constructor
Description
`AccountService()`

## Method Summary

Modifier and Type
Method
Description
`List<AccountProvider>`
`getProviders()`
Liefert eine Liste der gefundenen Provider.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AccountService

public AccountService()

## Method Details

### getProviders

public List<AccountProvider> getProviders()
Liefert eine Liste der gefundenen Provider.

Returns:
  Liste der Provider.